Bug 470589 - Greek console font is not set when installation is Greek
Greek console font is not set when installation is Greek
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-07 15:27 EST by Nikos Charonitakis
Modified: 2009-02-02 06:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-02 06:46:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Charonitakis 2008-11-07 15:27:20 EST
Description of problem:
Fresh installation of f10 preview in greek language
After that, boot the system and when i press escape during boot i see boxes instead of Greek messages.
So i edited /etc/sysconfig/i18n
and added the line SYSFONT="iso07u-16" (this was present in previews fedora releases)
Now everything seems ok
I dont see some problems i saw in previews fedora releases (corrupted Greek fonts when switching to a console back and forth)
So please set by default this line to i18n file when Greek language selected during installation. This font is capable to show Greek fonts, the default one can not do that.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2008-11-26 00:00:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Nikos Charonitakis 2008-12-01 05:06:37 EST
[corrected]: "previews" is actually previous in the text below :)

So i edited /etc/sysconfig/i18n
and added the line SYSFONT="iso07u-16" (this was present in previous fedora
releases)
Now everything seems ok
I dont see some problems i saw in previous fedora releases (corrupted Greek
fonts when switching to a console back and forth)
So please set by default this line to i18n file when Greek language selected
during installation. This font is capable to show Greek fonts, the default one
can not do that.
Comment 3 Martin Sivák 2009-02-02 06:46:43 EST
Should be fixed in anaconda-11.5.0.13

Note You need to log in before you can comment on or make changes to this bug.